package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 提现审核记录对象 company_profit_logs
 * 
 * @author fs
 * @date 2022-10-28
 */
public class CompanyProfitLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long logsId;

    /** 提现ID */
    @Excel(name = "提现ID")
    private Long profitId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 原因 */
    @Excel(name = "原因")
    private String reason;

    public void setLogsId(Long logsId) 
    {
        this.logsId = logsId;
    }

    public Long getLogsId() 
    {
        return logsId;
    }
    public void setProfitId(Long profitId) 
    {
        this.profitId = profitId;
    }

    public Long getProfitId() 
    {
        return profitId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setReason(String reason) 
    {
        this.reason = reason;
    }

    public String getReason() 
    {
        return reason;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("logsId", getLogsId())
            .append("profitId", getProfitId())
            .append("title", getTitle())
            .append("reason", getReason())
            .append("createTime", getCreateTime())
            .toString();
    }
}
